#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	catchUpSpeed = 0.06f;
	
	pos.set(0,0);
	prevPos.set(0,0);
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(198,246,55);
	
	
	
	ofPushMatrix();
		ofTranslate(pos.x, pos.y, 0);
		ofRotateZ(angle * RAD_TO_DEG);
	
	
		
	//ofNoFill();
		//ofSetColor(255,255,155);
		//ofRect(0, -15, 35,5);
		//ofRect(0, 15, 35,5);
	
		ofSetColor(255,155,155);
		ofRect(-5, -20, 15,tale);
		ofRect(-5, 20, 15,tale);
	
		ofSetColor(255,10,10);
		ofRect(15,5,5,5);
		ofRect(15,-5,5,5);
	
	
		ofSetColor(255,255,255);
		ofFill();
		ofRect( 0,0, 30,30);
		//ofTriangle(0, 0, 10, -30, -10, -30);
		//ofTriangle(0, 0, 10, +30, -10, +30);	

	
	
	
		ofPopMatrix();
	
	
}

//------------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY){
	
	
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 

	float dx = pos.x - prevPos.x;
	float dy = pos.y - prevPos.y;
	
	angle = atan2(dy, dx);

	prevPos.x = pos.x;
	prevPos.y = pos.y;
	

	
	

}

void rectangle::update() {

	if(tale%2==0)
		tale=tale+17;
	else if(tale%1==0)
		tale=tale-17;
	



}
